#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Opciones"
    BEGIN
	MENUITEM "Seleccionar Lista " idMainMenuSelectDB "s"
	MENUITEM "Nueva Lista" idMainMenuNewDB "n"
	MENUITEM "Borrar Lista  " idMainMenuDelDB "d"
	MENUITEM "Enviar Lista  " idMainMenuBeamDB "b"
	MENUITEM SEPARATOR 
        MENUITEM "Personalizar.." idMainMenuCustom "m"
        MENUITEM "Acerca de List.." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "Nuevo" idMainNewButton 2 146 AUTO AUTO
    BUTTON "Buscar" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "Ver"
    BUTTON "Listo" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Editar" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Editar"
    BEGIN
        MENUITEM "Deshacer" idEditMenuUndo "u"
        MENUITEM "Cortar" idEditMenuCut "x"
        MENUITEM "Copiar" idEditMenuCopy "c"
        MENUITEM "Pegar" idEditMenuPaste "p"
        MENUITEM "Seleccionar todo " idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "Teclado" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Editar"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Listo" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Borrar" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Nota" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Nota"
    BUTTON "Listo" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Personalizar"

	LABEL "Nombre Lista:" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Nombre Campo1:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Nombre Campo2:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Ordenar según" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Campo1,Campo2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Campo1,Campo2" "Campo2,Campo1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Protección escritura" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Hacer backup próximo HSync" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Backup Automático" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Seleccionar Lista en arranque" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Listo" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "Los campos de texto  Nombre Lista, Nombre Campo1 y 2 le permiten "\
	"personalizar la Lista actual.\n\n"\
	"Ordenar según le permite seleccionar el orden de despliegue de la Lista actual.\n\n"\
	"Protección escritura impide la edición de la Lista actual.\n\n"\
	"Hacer backup próximo HSync muestra el estado del bit de backup de la Lista actual.\n\n"\
	"Los dos últimos check boxes son globales para todas las Listas de List.\n\n"\
	"Si se selecciona Backup Automático y se ha efectuado alguna edición desde el "\
	"último Hot-Sync List levantará el bit de backup. Luego del Hot-Sync los bits de "\ 
	"backup se limpiarán automáticamente.\n\n"\
	"Seleccionar Lista en arranque controla el comportamiento de List "\
	"en el arranque. Si se selecciona y hay más de una Lista, en el arranque aparecerá "\
	"el cuadro de diálogo para Seleccionar Lista, caso contrario se abrirá la última "\
	"Lista usada."



FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Seleccione Lista"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Seleccione Lista"
 	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Búsqueda Local"
	LABEL "Buscar:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Cancelar" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Búsqueda Local"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Cancelar" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Buscar más" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "Acerca de List 0.99"
    MESSAGE "¡List es Gratis!!!"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nRivero Alberto"\
	"\narivero@sade.com.ar"

    BUTTONS "Ok"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Conflicto de Nombre"
    MESSAGE "Ya existe una Lista con el nombre 'New List'. "\
	    "Use la opción Preferencias para cambiar el nombre antes de crear una nueva Lista."
    BUTTONS "Ok"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Borrar Registro"
    MESSAGE "¿ Desea borrar el registro actual?"
    BUTTONS "Ok" "Cancelar"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Borrar Lista"
    MESSAGE "¿ Desea borrar la Lista actual?"
    BUTTONS "Ok" "Cancelar"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Reemplazar Lista"
    MESSAGE "¿ Desea sobreescribir la Lista actual?"
    BUTTONS "Ok" "Cancelar"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "Demasiadas Listas"
    MESSAGE "List soporta un máximo de 12 Listas."
    BUTTONS "Ok"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Conflicto de Nombres"
    MESSAGE "No se puede tener dos Listas con el mismo nombre. Cambie el nombre a uno único."
    BUTTONS "Ok"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Nombre de Lista Vacío"
    MESSAGE "La Lista debe tener un nombre."
    BUTTONS "Ok"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "Lista protegida contra escritura"
    MESSAGE "La Lista está protegida contra escritura. Puede cambiar la opción usando "\
	"la opción Preferencias."
    BUTTONS "Ok"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "Poca Memoria"
    MESSAGE "Incapaz de actualizar el registro -- Cambios descartados."
    BUTTONS "Ok"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "Enviar"
    MESSAGE "Este dispositivo no tiene el hardware de infrarojos requerido por el comando Enviar."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Imposible Enviar"
    MESSAGE "No puede enviar Listas protegidas contra copia."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Error Desconocido"
	MESSAGE "Ha ocurrido una situación inexperada"
	BUTTONS "Oh Bien"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"